#include <amxmodx>
#include <engine>

new bool:started = false

public plugin_init()
{
	register_plugin("Missions remover", "S 2.0", "Brute")
	register_cvar("amx_no_missions", "1")
	register_logevent("HideTimer", 2, "1=Round_Start")
}

public HideTimer()
{
	if(!started)
		return 0
	message_begin(MSG_ALL, get_user_msgid("HideWeapon"))
	write_byte((1<<4))
	message_end()

	message_begin(MSG_ALL, get_user_msgid("Crosshair"))
	write_byte(0)
	message_end()

	return 0
}

new map_ents[][] = 
{
	"info_bomb_target",
	"func_bomb_target",
	"info_hostage_rescue",
	"hostage_entity",
	"func_hostage_rescue",
	"info_vip_start",
	"func_vip_safetyzone",
	"func_escapezone",
	"monster_scientist"
}

public pfn_spawn(eid)
{
	if(get_cvar_num("amx_no_missions") != 1 || !is_valid_ent(eid))
		return 0

	started = true
	new ClsName[32]
	entity_get_string(eid, EV_SZ_classname, ClsName, 31)
	for(new i = 0; i < sizeof(map_ents); i++)
	{
		if(equali(ClsName, map_ents[i]))
		{
			remove_entity(eid)
			return 1
		}
	}
	return 0
}